Bug 481024 - Xen's network-bridge script does not set up [p]eth0 correctly during bootup
Xen's network-bridge script does not set up [p]eth0 correctly during bootup
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.3
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Michal Novotny
Virtualization Bugs
:
Depends On:
Blocks: 514499
  Show dependency treegraph
 
Reported: 2009-01-21 14:26 EST by rhn
Modified: 2014-02-02 17:36 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 08:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rhn 2009-01-21 14:26:40 EST
Description of problem:
During bootup, xend script fails to properly reconfigure eth0/peth0 devices on startup. 

How reproducible:

100% success rate when rebooting on the local server. Software is RHEL installation with Virtualization addon, Xen installed and everything updated.

Steps to Reproduce:
1. Reboot
  

Actual results:

Network devices are left in the following (unusable) state:

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:212 errors:0 dropped:0 overruns:0 frame:0
          TX packets:212 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:14725 (14.3 KiB)  TX bytes:14725 (14.3 KiB)

peth0     Link encap:Ethernet  HWaddr FE:FF:FF:FF:FF:FF  
          inet6 addr: fe80::fcff:ffff:feff:ffff/64 Scope:Link
          UP BROADCAST NOARP  MTU:1500  Metric:1
          RX packets:32 errors:0 dropped:0 overruns:0 frame:0
          TX packets:20 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:2048 (2.0 KiB)  TX bytes:3909 (3.8 KiB)
          Interrupt:16 Memory:f8000000-f8012100 

vif0.0    Link encap:Ethernet  HWaddr FE:FF:FF:FF:FF:FF  
          inet6 addr: fe80::fcff:ffff:feff:ffff/64 Scope:Link
          UP BROADCAST RUNNING NOARP  MTU:1500  Metric:1
          RX packets:29 errors:0 dropped:0 overruns:0 frame:0
          TX packets:22 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:5707 (5.5 KiB)  TX bytes:1320 (1.2 KiB)

xenbr0    Link encap:Ethernet  HWaddr FE:FF:FF:FF:FF:FF  
          UP BROADCAST RUNNING NOARP  MTU:1500  Metric:1
          RX packets:49 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:6221 (6.0 KiB)  TX bytes:0 (0.0 b)


eth0 is down.

Bridge (ok)
bridge name	bridge id		STP enabled	interfaces
xenbr0		8000.feffffffffff	no		peth0
							vif0.0



Expected results:

eth0 should have an IP address


Additional info:

Manually running the network-bridge script after bootup will set up the network correctly. Also, adding "sleep 10" to the top of the script appears to be a working workaround.
Comment 2 Daniel Berrange 2009-02-23 07:01:26 EST
Can you provide the /etc/sysconfig/network-scripts/ifcfg-eth0 config file.

Given that a 'sleep 10' fixes it & running manually fixes it, it sounds like there's a race condition.
Comment 3 Nicolas MELIN 2009-02-23 08:16:23 EST
I just had a similar issue on 2 Dell PER900, and I used the same fix, "sleep 10", that worked 95% of the time.

I finally tracked the issue: these 2 servers have some DELL packages installed (OpenManage Server Administrator), and it seems that some of the services installed by OMSA conflict with Xen's boot order.

I temporarily resolved the issue by disabling a service named "instsvcdrv" (Systems Management Device Drivers init script). Of course, OMSA doesn't work anymore.

I'm not the original bug reporter, but if that can help, here is the content of my /etc/sysconfig/network-scripts/ifcfg-eth0:
# Broadcom Corporation NetXtreme II BCM5708 Gigabit Ethernet
DEVICE=eth0
BOOTPROTO=none
HWADDR=00:22:19:A6:A7:28
ONBOOT=yes
NETMASK=255.255.255.0
IPADDR=172.16.38.170
GATEWAY=172.16.38.1
TYPE=Ethernet
USERCTL=no
IPV6INIT=no
PEERDNS=yes
Comment 4 rhn 2009-03-17 15:06:15 EDT
Mine are nothing special. This server is also a Dell, but none of the Dell apps are installed - it's mostly a pure RHEL5 system.

# Broadcom Corporation NetXtreme II BCM5708 Gigabit Ethernet
DEVICE=eth0
DHCPCLASS=
HWADDR=00:22:19:99:E2:5D
ONBOOT=yes
IPADDR=209.239.12.43
BOOTPROTO=static
GATEWAY=209.239.12.1
NETMASK=255.255.255.192
Comment 5 Thomas 2010-02-03 11:08:33 EST
I am having this same issue. I haven't tried the "sleep" workaround above, but manually restarting network-bridge resolves the issue.

I'm experiencing this problem with RHEL Desktop 5.4 on a Dell M90 laptop.

Not sure if this will have any relevance to this issue, but I have a couple of Dell servers running RHEL 5 with Xen that are not experiencing this issue. One of those servers (a 2600) is fully updated, the other (a T310) is at 5.4 but is missing some of the more recent updates. Neither of those servers, nor may M90, are running OpenManage. The M90 and T310 are using 64-bit versions of RHEL, the 2600 is using a 32-bit version.

This is the contents of ifcfg-eth0 from my M90. Network Manager is used for network connectivity, so "ONBOOT=no" is set.

# Broadcom Corporation NetXtreme BCM5752 Gigabit Ethernet PCI Express
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:1C:23:08:6F:A3
ONBOOT=no
TYPE=Ethernet
USERCTL=no
IPV6INIT=no
PEERDNS=yes

Let me know if I can provide any additional information.
Comment 7 Michal Novotny 2010-06-24 11:56:57 EDT
(In reply to comment #3)
> I just had a similar issue on 2 Dell PER900, and I used the same fix, "sleep
> 10", that worked 95% of the time.
> 
> I finally tracked the issue: these 2 servers have some DELL packages installed
> (OpenManage Server Administrator), and it seems that some of the services
> installed by OMSA conflict with Xen's boot order.
> 
> I temporarily resolved the issue by disabling a service named "instsvcdrv"
> (Systems Management Device Drivers init script). Of course, OMSA doesn't work
> anymore.
> 
> I'm not the original bug reporter, but if that can help, here is the content of
> my /etc/sysconfig/network-scripts/ifcfg-eth0:
> # Broadcom Corporation NetXtreme II BCM5708 Gigabit Ethernet
> DEVICE=eth0
> BOOTPROTO=none
> HWADDR=00:22:19:A6:A7:28
> ONBOOT=yes
> NETMASK=255.255.255.0
> IPADDR=172.16.38.170
> GATEWAY=172.16.38.1
> TYPE=Ethernet
> USERCTL=no
> IPV6INIT=no
> PEERDNS=yes    

Why are you using BOOTPROTO=none? Shouldn't this be static?

For getting the IP address from DHCP I use:

DEVICE=ethX
BOOTPROTO=dhcp
ONBOOT=yes
HWADDR=xx:xx:xx:xx:xx:xx

Could you try using similar configuration except you have the definition for static like:

DEVICE=ethX
BOOTPROTO=static
ONBOOT=yes
HWADDR=xx:xx:xx:xx:xx:xx
NETMASK=255.255.255.0
IPADDR=172.16.38.170
GATEWAY=172.16.38.1

And retest?

Thanks,
Michal
Comment 9 Michal Novotny 2010-07-20 08:57:33 EDT
Thomas,
any updates on that?

Michal
Comment 10 Miroslav Rezanina 2010-10-20 08:40:06 EDT
We are not able to reproduce this problem and have no response from reporter. We are closing this bz. If you met this problem feel free to reopen bz with additional data.

Note You need to log in before you can comment on or make changes to this bug.